Subject: Re: Ethernet not working on a different SoC with same eth HW

From: Mason <[email-masked]>
Date: Tue, 8 Nov 2016 16:41:23 +0100

On 31/10/2016 16:29, Mason wrote:

> I'm using these net drivers:
> 
>   drivers/net/ethernet/aurora/nb8800.c
>   drivers/net/phy/at803x.c
> 
> With a smp8758 board, they work great.
> I've been trying to use them on a different board:
> 
>   same eth PHY (Atheros AR8035)
>   same eth MAC (Aurora SSN8800)
>   different SoC (same base address for MAC block)
> 
> It doesn't work, and I'm not sure where to look first...

Sweet baby Jesus on a pogo stick...

After oh-so-many days making increasingly random changes,
hoping something would magically un-break, we did find a
*local* commit for an exotic platform (chip emulator) that
was causing the issue.

Regards.